## cfrpki 1.1.4

=== Makefile ===
EXTENSION ?= 
DIST_DIR ?= dist/
GOOS ?= linux
ARCH ?= $(shell uname -m)
BUILDINFOSDET ?= 

DOCKER_REPO   := cloudflare/
OCTORPKI_NAME    := octorpki
OCTORPKI_VERSION := $(shell git describe --tags $(git rev-list --tags --max-count=1))
VERSION_PKG   := $(shell echo $(OCTORPKI_VERSION) | sed 's/^v//g')
ARCH          := x86_64
LICENSE       := BSD-3
URL           := https://github.com/cloudflare/octorpki
DESCRIPTION   := OctoRPKI: a RPKI validator
BUILDINFOS    :=  ($(shell date +%FT%T%z)$(BUILDINFOSDET))
LDFLAGS       := '-X main.version=$(OCTORPKI_VERSION) -X main.buildinfos=$(BUILDINFOS)'

OUTPUT_OCTORPKI := $(DIST_DIR)octorpki-$(OCTORPKI_VERSION)-$(GOOS)-$(ARCH)$(EXTENSION)

.PHONY: vet
vet:
	go vet cmd/octorpki/octorpki.go

.PHONY: prepare
prepare:
	mkdir -p $(DIST_DIR)

.PHONY: clean
clean:
	rm -rf $(DIST_DIR)

.PHONY: build-octorpki
build-octorpki: prepare
	go build -ldflags $(LDFLAGS) -o $(OUTPUT_OCTORPKI) cmd/octorpki/octorpki.go 

.PHONY: docker-octorpki
docker-octorpki:
	docker build -t $(DOCKER_REPO)$(OCTORPKI_NAME):$(OCTORPKI_VERSION) --build-arg LDFLAGS=$(LDFLAGS) -f Dockerfile .

.PHONY: package-deb-octorpki
package-deb-octorpki: prepare
	fpm -s dir -t deb -n $(OCTORPKI_NAME) -v $(VERSION_PKG) \
        --description "$(DESCRIPTION)"  \
        --url "$(URL)" \
        --architecture $(ARCH) \
        --license "$(LICENSE)" \
       	--deb-no-default-config-files \
        --package $(DIST_DIR) \
        $(OUTPUT_OCTORPKI)=/usr/bin/octorpki \
        package/octorpki.service=/lib/systemd/system/octorpki.service \
        package/octorpki.env=/etc/default/octorpki \
        cmd/octorpki/tals/afrinic.tal=/usr/share/octorpki/tals/afrinic.tal \
        cmd/octorpki/tals/apnic.tal=/usr/share/octorpki/tals/apnic.tal \
        cmd/octorpki/tals/lacnic.tal=/usr/share/octorpki/tals/lacnic.tal \
        cmd/octorpki/tals/ripe.tal=/usr/share/octorpki/tals/ripe.tal

.PHONY: package-rpm-octorpki
package-rpm-octorpki: prepare
	fpm -s dir -t rpm -n $(OCTORPKI_NAME) -v $(VERSION_PKG) \
        --description "$(DESCRIPTION)" \
        --url "$(URL)" \
        --architecture $(ARCH) \
        --license "$(LICENSE) "\
        --package $(DIST_DIR) \
        $(OUTPUT_OCTORPKI)=/usr/bin/octorpki \
        package/octorpki.service=/lib/systemd/system/octorpki.service \
        package/octorpki.env=/etc/default/octorpki \
        cmd/octorpki/tals/afrinic.tal=/usr/share/octorpki/tals/afrinic.tal \
        cmd/octorpki/tals/apnic.tal=/usr/share/octorpki/tals/apnic.tal \
        cmd/octorpki/tals/lacnic.tal=/usr/share/octorpki/tals/lacnic.tal \
        cmd/octorpki/tals/ripe.tal=/usr/share/octorpki/tals/ripe.tal

=== debian/changelog ===
cfrpki (1.1.4-3build1) hirsute; urgency=medium

  * No-change rebuild using new golang

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 11 Nov 2020 22:06:22 +0000

cfrpki (1.1.4-3) unstable; urgency=medium

  * Re-upload to unstable.

 -- Marco d'Itri <md@linux.it>  Thu, 23 Apr 2020 14:49:56 +0200

cfrpki (1.1.4-2) experimental; urgency=medium

  * Initial release.

 -- Marco d'Itri <md@linux.it>  Thu, 23 Apr 2020 14:25:46 +0200

=== debian/control ===
Source: cfrpki
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Marco d'Itri <md@linux.it>
Uploaders: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Section: net
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 12), dh-golang,
 golang-any,
 golang-github-cloudflare-gortr-dev,
 golang-github-gorilla-mux-dev,
 golang-github-kentik-patricia-dev,
 golang-github-prometheus-client-golang-dev,
 golang-github-rs-cors-dev,
 golang-github-stretchr-testify-dev,
 golang-google-grpc-dev,
 golang-goprotobuf-dev,
 golang-logrus-dev,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/md/cfrpki
Vcs-Git: https://salsa.debian.org/md/cfrpki.git
Homepage: https://github.com/cloudflare/cfrpki
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/cloudflare/cfrpki

Package: octorpki
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 adduser
Built-Using: ${misc:Built-Using}
Description: Cloudflare's RPKI validator
 OctoRPKI is an RPKI relying party software: it can be used to download
 Resource Public Key Infrastructure (RFC 6480) certificates and validate
 them.

## cfrpki 1.2.2

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 DOCKER_REPO   := cloudflare/
 OCTORPKI_NAME    := octorpki
-OCTORPKI_VERSION := $(shell git describe --tags $(git rev-list --tags --max-count=1))
+OCTORPKI_VERSION ?= $(shell git describe)
 VERSION_PKG   := $(shell echo $(OCTORPKI_VERSION) | sed 's/^v//g')
 ARCH          := x86_64
 LICENSE       := BSD-3
@@ -19,7 +19,11 @@
 
 .PHONY: vet
 vet:
-	go vet cmd/octorpki/octorpki.go
+	go vet -v ./...
+
+.PHONY: test
+test:
+	go test -v ./...
 
 .PHONY: prepare
 prepare:
@@ -44,7 +48,6 @@
         --url "$(URL)" \
         --architecture $(ARCH) \
         --license "$(LICENSE)" \
-       	--deb-no-default-config-files \
         --package $(DIST_DIR) \
         $(OUTPUT_OCTORPKI)=/usr/bin/octorpki \
         package/octorpki.service=/lib/systemd/system/octorpki.service \

=== debian/changelog ===
cfrpki (1.2.2-1) unstable; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Sun, 10 Jan 2021 00:38:17 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: cfrpki
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Marco d'Itri <md@linux.it>
+Maintainer: Marco d'Itri <md@linux.it>
 Uploaders: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Section: net
 Testsuite: autopkgtest-pkg-go
@@ -8,6 +7,7 @@
 Build-Depends: debhelper-compat (= 12), dh-golang,
  golang-any,
  golang-github-cloudflare-gortr-dev,
+ golang-github-getsentry-sentry-go-dev,
  golang-github-gorilla-mux-dev,
  golang-github-kentik-patricia-dev,
  golang-github-prometheus-client-golang-dev,

## cfrpki 1.3.0

=== debian/changelog ===
cfrpki (1.3.0-1) unstable; urgency=medium

  * New upstream release. Fixes:
    + Prevent ROA issuers from making cfrpki emit an invalid VRP
      "MaxLength" value, hence causing RTR sessions to terminate.
      (CVE-2021-3761, Closes: #994572)

 -- Marco d'Itri <md@linux.it>  Sat, 18 Sep 2021 23:59:55 +0200

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  golang-google-grpc-dev,
  golang-goprotobuf-dev,
  golang-logrus-dev,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0.1
 Vcs-Browser: https://salsa.debian.org/md/cfrpki
 Vcs-Git: https://salsa.debian.org/md/cfrpki.git
 Homepage: https://github.com/cloudflare/cfrpki
@@ -26,7 +26,7 @@
 Package: octorpki
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
- adduser
+ adduser, rpki-trust-anchors
 Built-Using: ${misc:Built-Using}
 Description: Cloudflare's RPKI validator
  OctoRPKI is an RPKI relying party software: it can be used to download

## cfrpki 1.4.2

=== debian/changelog ===
cfrpki (1.4.2-1ubuntu0.1) jammy-security; urgency=medium

  * No change rebuild due to golang-1.18 update. Note that this package
    was built with golang-1.17.

 -- Allen Huang <allen.huang@canonical.com>  Tue, 19 Nov 2024 00:00:47 +0000

cfrpki (1.4.2-1) unstable; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Sun, 28 Nov 2021 00:42:04 +0100

cfrpki (1.4.0-1) unstable; urgency=high

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Wed, 10 Nov 2021 23:02:55 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: cfrpki
-Maintainer: Marco d'Itri <md@linux.it>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Marco d'Itri <md@linux.it>
 Uploaders: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Section: net
 Testsuite: autopkgtest-pkg-go
@@ -10,6 +11,7 @@
  golang-github-getsentry-sentry-go-dev,
  golang-github-gorilla-mux-dev,
  golang-github-kentik-patricia-dev,
+ golang-github-opentracing-opentracing-go-dev,
  golang-github-prometheus-client-golang-dev,
  golang-github-rs-cors-dev,
  golang-github-stretchr-testify-dev,

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%cfrpki-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/" \
  https://github.com/cloudflare/cfrpki/tags .*/v?(\d\S*)\.tar\.gz debian

## cfrpki 1.4.3

=== debian/changelog ===
cfrpki (1.4.3-1) unstable; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Tue, 17 May 2022 01:59:05 +0200

## cfrpki 1.4.4

=== Makefile ===
--- 
+++ 
@@ -45,6 +45,8 @@
 package-deb-octorpki: prepare
 	fpm -s dir -t deb -n $(OCTORPKI_NAME) -v $(VERSION_PKG) \
         --description "$(DESCRIPTION)"  \
+        --after-install package/after-install-octorpki.sh \
+        --before-remove package/before-remove-octorpki.sh \
         --url "$(URL)" \
         --architecture $(ARCH) \
         --license "$(LICENSE)" \
@@ -61,6 +63,8 @@
 package-rpm-octorpki: prepare
 	fpm -s dir -t rpm -n $(OCTORPKI_NAME) -v $(VERSION_PKG) \
         --description "$(DESCRIPTION)" \
+        --after-install package/after-install-octorpki.sh \
+        --before-remove package/before-remove-octorpki.sh \
         --url "$(URL)" \
         --architecture $(ARCH) \
         --license "$(LICENSE) "\

=== debian/changelog ===
cfrpki (1.4.4-1ubuntu0.23.10.1) mantic-security; urgency=medium

  * No change rebuid due to golang-1.20, golang-1.21 updates

 -- Nishit Majithia <nishit.majithia@canonical.com>  Tue, 23 Jan 2024 09:28:41 +0530

cfrpki (1.4.4-1build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:13:24 +1200

cfrpki (1.4.4-1) unstable; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Tue, 25 Oct 2022 02:20:28 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Section: net
 Testsuite: autopkgtest-pkg-go
 Priority: optional
-Build-Depends: debhelper-compat (= 12), dh-golang,
+Build-Depends: debhelper-compat (= 13), dh-golang,
  golang-any,
  golang-github-cloudflare-gortr-dev,
  golang-github-getsentry-sentry-go-dev,
@@ -18,7 +18,7 @@
  golang-google-grpc-dev,
  golang-goprotobuf-dev,
  golang-logrus-dev,
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.1.1
 Vcs-Browser: https://salsa.debian.org/md/cfrpki
 Vcs-Git: https://salsa.debian.org/md/cfrpki.git
 Homepage: https://github.com/cloudflare/cfrpki

=== debian/rules ===
#!/usr/bin/make -f
export DH_GOLANG_EXCLUDES := $(shell cd cmd/ && echo api*) ctrpki localrpki

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

override_dh_auto_install:
	dh_auto_install -- --no-source

## cfrpki 1.5.10

=== vendor/github.com/getsentry/sentry-go/Makefile ===
.DEFAULT_GOAL := help

MKFILE_PATH := $(abspath $(lastword $(MAKEFILE_LIST)))
MKFILE_DIR := $(dir $(MKFILE_PATH))
ALL_GO_MOD_DIRS := $(shell find . -type f -name 'go.mod' -exec dirname {} \; | sort)
GO = go
TIMEOUT = 300

# Parse Makefile and display the help
help: ## Show help
	@grep -E '^[a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) | sort | awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-30s\033[0m %s\n", $$1, $$2}'
.PHONY: help

build: ## Build everything
	for dir in $(ALL_GO_MOD_DIRS); do \
		cd "$${dir}"; \
		echo ">>> Running 'go build' for module: $${dir}"; \
		go build ./...; \
	done;
.PHONY: build

### Tests (inspired by https://github.com/open-telemetry/opentelemetry-go/blob/main/Makefile)
TEST_TARGETS := test-short test-verbose test-race
test-race:    ARGS=-race
test-short:   ARGS=-short
test-verbose: ARGS=-v -race
$(TEST_TARGETS): test
test: $(ALL_GO_MOD_DIRS:%=test/%)  ## Run tests
test/%: DIR=$*
test/%:
	@echo ">>> Running tests for module: $(DIR)"
	@# We use '-count=1' to disable test caching.
	(cd $(DIR) && $(GO) test -count=1 -timeout $(TIMEOUT)s $(ARGS) ./...)
.PHONY: $(TEST_TARGETS) test

# Coverage
COVERAGE_MODE    = atomic
COVERAGE_PROFILE = coverage.out
COVERAGE_REPORT_DIR = .coverage
COVERAGE_REPORT_DIR_ABS = "$(MKFILE_DIR)/$(COVERAGE_REPORT_DIR)"
$(COVERAGE_REPORT_DIR):
	mkdir -p $(COVERAGE_REPORT_DIR)
clean-report-dir: $(COVERAGE_REPORT_DIR)
	test $(COVERAGE_REPORT_DIR) && rm -f $(COVERAGE_REPORT_DIR)/*
test-coverage: $(COVERAGE_REPORT_DIR) clean-report-dir  ## Test with coverage enabled
	for dir in $(ALL_GO_MOD_DIRS); do \
	  echo ">>> Running tests with coverage for module: $${dir}"; \
	  DIR_ABS=$$(python -c 'import os, sys; print(os.path.realpath(sys.argv[1]))' $${dir}) ; \
	  REPORT_NAME=$$(basename $${DIR_ABS}); \
	  (cd "$${dir}" && \
	    $(GO) test -count=1 -coverpkg=./... -covermode=$(COVERAGE_MODE) -coverprofile="$(COVERAGE_PROFILE)" ./... && \
		cp $(COVERAGE_PROFILE) "$(COVERAGE_REPORT_DIR_ABS)/$${REPORT_NAME}_$(COVERAGE_PROFILE)" && \
	    $(GO) tool cover -html=$(COVERAGE_PROFILE) -o coverage.html); \
	done;
.PHONY: test-coverage clean-report-dir

mod-tidy: ## Check go.mod tidiness
	for dir in $(ALL_GO_MOD_DIRS); do \
		cd "$${dir}"; \
		echo ">>> Running 'go mod tidy' for module: $${dir}"; \
		go mod tidy -go=1.18 -compat=1.18; \
	done; \
	git diff --exit-code;
.PHONY: mod-tidy

vet: ## Run "go vet"
	for dir in $(ALL_GO_MOD_DIRS); do \
		cd "$${dir}"; \
		echo ">>> Running 'go vet' for module: $${dir}"; \
		go vet ./...; \
	done;
.PHONY: vet

lint: ## Lint (using "golangci-lint")
	golangci-lint run
.PHONY: lint

fmt: ## Format all Go files
	gofmt -l -w -s .
.PHONY: fmt

=== vendor/github.com/kentik/patricia/Makefile ===
GENERATED_TYPES := bool string int int8 int16 int32 int64 uint uint8 uint16 uint32 uint64 byte rune float32 float64 complex64 complex128
# on mac use gsed
UNAME_S = $(shell uname -s)
ifeq ($(UNAME_S),Darwin)
	SED = gsed
else
	SED = sed
endif

.PHONY: all
all: codegen code

.PHONY: ipv6code generics codegen codegen-%
codegen: ipv6code generics $(addprefix codegen-,$(GENERATED_TYPES))

ipv6code:
	cp template/tree_v4.go template/tree_v6_generated.go
	$(SED) -i -e 's/Template file./Code generated by automation. DO NOT EDIT/' template/tree_v6_generated.go
	$(SED) -i -e 's/TreeV4/TreeV6/g' template/tree_v6_generated.go
	$(SED) -i -e 's/TreeIteratorV4/TreeIteratorV6/g' template/tree_v6_generated.go
	$(SED) -i -e 's/treeNodeV4/treeNodeV6/g' template/tree_v6_generated.go
	$(SED) -i -e 's/IPv4Address/IPv6Address/g' template/tree_v6_generated.go

generics: codegen-generics
	# generics -> T, except in tests
	( cd generics_tree && $(SED) -i -E -e 's/\bgenerics\b/string/g' *_test.go)
	( cd generics_tree && $(SED) -i -E -e 's/\bgenerics\b/T/g' *.go)
	# Each defined type should be parametrized with T
	( cd generics_tree && $(SED) -nE 's/^type (\w+).*/\1/p' *.go \
	        | grep -vFx treeIteratorNext \
		| while read T; do \
			$(SED) -i -E -e 's/\b'$$T'\b/\0[T]/g' *.go ; \
			$(SED) -i -E -e 's/\b('$$T')\[T\]/\1[string]/g' *_test.go ; \
		  done )
	# Fix type definition
	( cd generics_tree && $(SED) -i -E -e 's/^(type \w+)\[T\]/\1[T any]/' *.go)
	# NewTreeVX function should be parametrized
	( cd generics_tree && $(SED) -i -E -e 's/^(func NewTreeV.)/\1[T any]/' *.go)
	( cd generics_tree && $(SED) -i -E -e 's/(NewTreeV.)\(/\1[string](/g' *_test.go)
	# No need to cast interfaces
	( cd generics_tree && $(SED) -i -E -e 's/\.\(string\)//g' *_test.go)

codegen-%:
	@echo "** generating $* tree"
	mkdir -p "./${*}_tree"
	cp -pa template/*.go "./${*}_tree"
	test "${*}" = generics || rm -f ./${*}_tree/*_test.go
	rm -f ./${*}_tree/types.go
	( cd "${*}_tree" && $(SED) -i "s/Template file./Code generated by automation. DO NOT EDIT/g" *.go )
	( cd "${*}_tree" && $(SED) -i "s/GeneratedType/${*}/g" *.go )
	( cd "${*}_tree" && $(SED) -i "s/package template/package ${*}_tree/g" *.go )

.PHONY: clean
clean:
	rm -rf *_tree
	rm -f template/tree_v6_generated.go

.PHONY: code
code:
	go build -v ./...

.PHONY: test
test:
	go test -v ./... --cover --race

=== debian/changelog ===
cfrpki (1.5.10-2) unstable; urgency=medium

  * Re-upload to unstable.

 -- Marco d'Itri <md@linux.it>  Sun, 24 Sep 2023 22:22:59 +0200

cfrpki (1.5.10-1) experimental; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Sat, 29 Apr 2023 18:38:11 +0200

cfrpki (1.5.5-1) experimental; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Fri, 07 Apr 2023 10:25:52 +0200

cfrpki (1.5.4-1) experimental; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Sat, 01 Apr 2023 23:58:34 +0200

cfrpki (1.5.1-1) experimental; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Thu, 30 Mar 2023 03:46:06 +0200

cfrpki (1.5.0-1) experimental; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Thu, 30 Mar 2023 03:44:58 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: cfrpki
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Marco d'Itri <md@linux.it>
+Maintainer: Marco d'Itri <md@linux.it>
 Uploaders: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Section: net
 Testsuite: autopkgtest-pkg-go
 Priority: optional
 Build-Depends: debhelper-compat (= 13), dh-golang,
+ dh-sequence-installsysusers, debhelper (>= 13.9),
  golang-any,
  golang-github-cloudflare-gortr-dev,
  golang-github-getsentry-sentry-go-dev,
@@ -17,8 +17,8 @@
  golang-github-stretchr-testify-dev,
  golang-google-grpc-dev,
  golang-goprotobuf-dev,
- golang-logrus-dev,
-Standards-Version: 4.6.1.1
+ golang-github-sirupsen-logrus-dev,
+Standards-Version: 4.6.2.0
 Vcs-Browser: https://salsa.debian.org/md/cfrpki
 Vcs-Git: https://salsa.debian.org/md/cfrpki.git
 Homepage: https://github.com/cloudflare/cfrpki
